Add an endpoint
The response is the only time the signing secret is readable.
POST
/
api
/
webhooks
Add an endpoint
curl --request POST \
--url https://api.truscan.co/api/webhooks \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "https://example.com/hooks/truscan",
"events": [
"credits.low"
],
"description": "<string>"
}
'import requests
url = "https://api.truscan.co/api/webhooks"
payload = {
"url": "https://example.com/hooks/truscan",
"events": ["credits.low"],
"description": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
url: 'https://example.com/hooks/truscan',
events: ['credits.low'],
description: '<string>'
})
};
fetch('https://api.truscan.co/api/webhooks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>",
"result": {
"id": "whe_9f2c…",
"url": "<string>",
"events": [
"<string>"
],
"enabled": true,
"description": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"secret": "whsec_…"
}
}{
"success": false,
"message": "<string>",
"result": {
"code": "validation_failed"
}
}{
"success": false,
"message": "<string>",
"result": {
"code": "validation_failed"
}
}{
"success": false,
"message": "<string>",
"result": {
"code": "validation_failed"
}
}Authorizations
A dashboard session cookie or a tru_ API key.
Body
application/json
⌘I
Add an endpoint
